org.apache.fop.pdf

## Class PDFJavaScriptLaunchAction

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFAction
    - - org.apache.fop.pdf.PDFJavaScriptLaunchAction

All Implemented Interfaces:
  PDFWritable

    public class PDFJavaScriptLaunchAction
    extends PDFAction

PDF Action which executes some JavaScript code.

Since:
  PDF 1.3

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFJavaScriptLaunchAction(String script)` Creates a new /Launch action.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `contentEquals(PDFObject obj)` Check if the other PDFObject has the same content as the current object.
`String` `getAction()` represent the action to call this method should be implemented to return the action which gets called by the Link Object.
`String` `toPDFString()` This method returns a String representation of the PDF object.

### Methods inherited from class org.apache.fop.pdf.PDFAction

`encodeScript`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFJavaScriptLaunchAction

    public PDFJavaScriptLaunchAction(String script)

Creates a new /Launch action.

Parameters:
  `script` - the script to run when the launch action is triggered

### Method Detail

#### getAction

    public String getAction()

represent the action to call this method should be implemented to return the action which gets called by the Link Object. This could be a reference to another object or the specific destination of the link

Specified by:
  `getAction` in class `PDFAction`
Returns:
  the action to place next to /A within a Link

#### toPDFString

    public String toPDFString()

This method returns a String representation of the PDF object. The result is normally converted/encoded to a byte array by toPDF(). Only use this method to implement the serialization if the object can be fully represented as text. If the PDF representation of the object contains binary content use toPDF() or output(OutputStream) instead. This applies to any object potentially containing a string object because string object are encrypted and therefore need to be binary.

Overrides:
  `toPDFString` in class `PDFObject`
Returns:
  String the String representation

#### contentEquals

    protected boolean contentEquals(PDFObject obj)

Check if the other PDFObject has the same content as the current object.

Note: This function has a contract which is less binding than `Object.equals(Object)`. Whereas equals would require all values to be identical, this method is not required to check everything. In the case of PDFObjects, this means that the overriding function does not have to check for `PDFObject.getObjectID()`.

Overrides:
  `contentEquals` in class `PDFObject`
Parameters:
  `obj` - object to compare to.
Returns:
  true if the other object has the same content.